<?php

echo $form->textFieldRow($model, 'name', array(
    'class' => $class,
    'maxlength' => $maxlength,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_NAME',
));

if (cfg('DP_BRANCH_PREFIX')) {
    echo $form->textFieldRow($model, 'extension', array(
        'prepend' => cfg('DP_BRANCH_PREFIX'),
        'class' => $class,
        'style' => 'width: 179px;',
        'maxlength' => $maxlength,
        'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_EXTENSION',
    ));
} else {
    echo $form->textFieldRow($model, 'extension', array(
        'class' => $class,
        'maxlength' => $maxlength,
        'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_EXTENSION',
    ));
}

echo $form->textFieldRow($model, 'description', array(
    'class' => $class,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_DESCRIPTION',
));

$htmlOptions = array(
    'class' => $class,
    'maxlength' => $maxlength,
    'data-translation-id' => 'ROUTING_CALL_GROUP_MODEL_PLAYLIST_ID',);

echo $form->dropDownListRow($model, 'playlistId', $model->getMusicOnHoldList(), $htmlOptions);
